Subject: bug#46296: 28.0.50; indent-rigidly inserts newline when exiting with RET

From: Tomas Nordin <[email-masked]>
Date: Fri, 05 Feb 2021 19:45:45 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> I think it's a documentation bug.  The manual says:
>>
>>   Typing any other key disables the transient mode, and resumes normal
>>   editing.                                          ^^^^^^^^^^^^^^^^^^
>>   ^^^^^^^
>>
>> So I think this means that any other character terminates the mode and
>> is acted upon.  We can clarify this in the docs.
>
> Yup.  I've now pushed a slight clarification to Emacs 27.

Cool, I saw it. But the function doc string was not touched? Maybe
that's often the first look-up for docs one does.

So this was a documentation bug. Is it only me who thinks a behavior
more like string-rectangle is expected with indent-rigidly? I think it
is a little surprising when a newline is inserted at exit.

--
Tomas